## r-cran-vioplot 0.2

=== DESCRIPTION ===
Package: vioplot
Version: 0.2
Date: 2005-10-26
Title: Violin plot
Author: Daniel Adler <dadler@uni-goettingen.de>
Maintainer: Daniel Adler <dadler@uni-goettingen.de>
Depends: sm
Description: A violin plot is a combination of a box plot and a kernel density plot. 
License: BSD
URL: http://wsopuppenkiste.wiso.uni-goettingen.de/~dadler
Packaged: Wed Oct 26 18:46:49 2005; root

=== debian/changelog ===
r-cran-vioplot (0.2-2) unstable; urgency=medium

  * Arch: all package does not need ${shlibs:Depends}
    Closes: #792964
  * Add ${misc:Depends}
  * cme fix dpkg-control

 -- Andreas Tille <tille@debian.org>  Mon, 20 Jul 2015 15:15:51 +0200

r-cran-vioplot (0.2-1) unstable; urgency=low

  * Initial release. (Closes: #761665)

 -- Andreas Tille <tille@debian.org>  Mon, 15 Sep 2014 15:04:08 +0200

=== debian/control ===
Source: r-cran-vioplot
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Steffen Moeller <moeller@debian.org>,
           Andreas Tille <tille@debian.org>
Section: gnu-r
Priority: optional
Build-Depends: debhelper (>= 9),
               cdbs,
               r-base-dev (>= 3.0),
               r-cran-sm
Standards-Version: 3.9.6
Vcs-Browser: http://anonscm.debian.org/viewvc/debian-med/trunk/packages/R/r-cran-vioplot/trunk/
Vcs-Svn: svn://anonscm.debian.org/debian-med/trunk/packages/R/r-cran-vioplot/trunk/
Homepage: http://cran.r-project.org/web/packages/vioplot/index.html

Package: r-cran-vioplot
Architecture: all
Depends: ${R:Depends},
         ${misc:Depends},
         r-cran-sm
Description: GNU R toolbox for violin plots
 Violin plots are a method of plotting numeric data. A violin plot is a
 combination of a box plot and a kernel density plot. Specifically, it
 starts with a box plot. It then adds a rotated kernel density plot to
 each side of the box plot.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_HARDENING=1
export DEB_BUILD_MAINT_OPTIONS = hardening=+all
include /usr/share/R/debian/r-cran.mk

install/$(package)::
	rm -rf debian/$(package)/usr/lib/R/site-library/$(cranName)/LICENSE

## r-cran-vioplot 0.3.0

=== DESCRIPTION ===
Package: vioplot
Title: Violin Plot
Version: 0.3.0
Author: Daniel Adler <dadler@uni-goettingen.de>
Maintainer: Tom Kelly <tom.kelly@postgrad.otago.ac.nz>
Description: A violin plot is a combination of a box plot and a kernel density plot. This package allows extensive customisation of violin plots. 
Depends: sm, zoo
License: BSD_3_clause + file LICENSE
LazyData: true
RoxygenNote: 6.1.1
Suggests: knitr, rmarkdown, testthat
Language: en-GB
VignetteBuilder: knitr
Encoding: UTF-8
NeedsCompilation: no
Packaged: 2019-01-09 08:33:14 UTC; tom
Repository: CRAN
Date/Publication: 2019-01-25 14:50:02 UTC

=== debian/changelog ===
r-cran-vioplot (0.3.0-1) unstable; urgency=medium

  * New upstream version
  * debhelper 12
  * Standards-Version: 4.3.0
  * Remove trailing whitespace in debian/copyright
  * Fix permissions

 -- Andreas Tille <tille@debian.org>  Mon, 28 Jan 2019 11:46:12 +0100

r-cran-vioplot (0.2-4) unstable; urgency=medium

  * Rebuild for R 3.5 transition
  * debhelper 11
  * Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-
    lists.debian.net>
  * Point Vcs fields to salsa.debian.org
  * dh-update-R to update Build-Depends
  * Secure URI in watch file

 -- Andreas Tille <tille@debian.org>  Fri, 01 Jun 2018 14:23:32 +0200

r-cran-vioplot (0.2-3) unstable; urgency=medium

  * Moved packaging from SVN to Git
  * debhelper 10
  * Standards-Version: 4.1.1
  * Convert from cdbs to dh-r
  * Canonical homepage for CRAN packages
  * Add "Testsuite: autopkgtest-pkg-r"

 -- Andreas Tille <tille@debian.org>  Fri, 29 Sep 2017 23:07:01 +0200

=== debian/control ===
Source: r-cran-vioplot
Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
Uploaders: Steffen Moeller <moeller@debian.org>,
           Andreas Tille <tille@debian.org>
Section: gnu-r
Testsuite: autopkgtest-pkg-r
Priority: optional
Build-Depends: debhelper (>= 12~),
               dh-r,
               r-base-dev,
               r-cran-sm,
               r-cran-zoo
Standards-Version: 4.3.0
Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-vioplot
Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-vioplot.git
Homepage: https://cran.r-project.org/package=vioplot

Package: r-cran-vioplot
Architecture: all
Depends: ${R:Depends},
         ${misc:Depends}
Recommends: ${R:Recommends}
Suggests: ${R:Suggests}
Description: GNU R toolbox for violin plots
 Violin plots are a method of plotting numeric data. A violin plot is a
 combination of a box plot and a kernel density plot. Specifically, it
 starts with a box plot. It then adds a rotated kernel density plot to
 each side of the box plot.

=== debian/watch ===
version=3
https://cran.r-project.org/src/contrib/vioplot_([-0-9\.]*)\.tar\.gz

## r-cran-vioplot 0.3.2

=== DESCRIPTION ===
Package: vioplot
Title: Violin Plot
Version: 0.3.2
Author: Daniel Adler <dadler@uni-goettingen.de>
Maintainer: Tom Kelly <tom.kelly@riken.jp>
Description: A violin plot is a combination of a box plot and a kernel density plot. This package allows extensive customisation of violin plots. 
Depends: sm, zoo
License: BSD_3_clause + file LICENSE
LazyData: true
RoxygenNote: 6.1.1
Suggests: ggplot2, RColorBrewer, knitr, rmarkdown, testthat
Language: en-GB
VignetteBuilder: knitr
Encoding: UTF-8
NeedsCompilation: no
Packaged: 2019-07-06 00:36:50 UTC; tom
Repository: CRAN
Date/Publication: 2019-07-06 17:50:02 UTC

=== debian/changelog ===
r-cran-vioplot (0.3.2-1) unstable; urgency=medium

  * New upstream version

 -- Andreas Tille <tille@debian.org>  Mon, 08 Jul 2019 19:54:05 +0200

## r-cran-vioplot 0.3.4

=== DESCRIPTION ===
Package: vioplot
Title: Violin Plot
Version: 0.3.4
Date: 2019-11-30
Authors@R: c(person("Daniel", "Adler", email = "dadler@uni-goettingen.de", role = c("aut", "cph")),
           person("S. Thomas", "Kelly", email = "tom.kelly@riken.jp", role = c("aut", "cre")),
           person("Tom M.", "Elliott", email = "tom.elliott@auckland.ac.nz", role = c("ctb")))
Description: A violin plot is a combination of a box plot and a kernel density plot. This package allows extensive customisation of violin plots. 
Depends: sm, zoo
License: BSD_3_clause + file LICENSE
URL: https://github.com/TomKellyGenetics/vioplot
BugReports: https://github.com/TomKellyGenetics/vioplot/issues
LazyData: true
RoxygenNote: 7.0.1
Suggests: ggplot2, RColorBrewer, knitr, rmarkdown, testthat
Language: en-GB
VignetteBuilder: knitr
Encoding: UTF-8
NeedsCompilation: no
Packaged: 2019-11-29 14:54:09 UTC; tom
Author: Daniel Adler [aut, cph],
  S. Thomas Kelly [aut, cre],
  Tom M. Elliott [ctb]
Maintainer: S. Thomas Kelly <tom.kelly@riken.jp>
Repository: CRAN
Date/Publication: 2019-11-29 18:00:02 UTC

=== debian/changelog ===
r-cran-vioplot (0.3.4-1) unstable; urgency=medium

  * New upstream version
  * debhelper-compat 12
  * Standards-Version: 4.4.1
  * Set upstream metadata fields: Archive, Bug-Database, Bug-Submit,
    Repository, Repository-Browse.
  * Add autopkgtest and salsa-ci
  * Set upstream metadata fields: Repository.

 -- Andreas Tille <tille@debian.org>  Fri, 27 Dec 2019 18:13:14 +0100

=== debian/control ===
--- 
+++ 
@@ -5,12 +5,12 @@
 Section: gnu-r
 Testsuite: autopkgtest-pkg-r
 Priority: optional
-Build-Depends: debhelper (>= 12~),
+Build-Depends: debhelper-compat (= 12),
                dh-r,
                r-base-dev,
                r-cran-sm,
                r-cran-zoo
-Standards-Version: 4.3.0
+Standards-Version: 4.4.1
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-vioplot
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-vioplot.git
 Homepage: https://cran.r-project.org/package=vioplot

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --buildsystem R

override_dh_install:
	dh_install
	find debian -name LICENSE -delete

override_dh_fixperms:
	dh_fixperms
	find debian -iname "*.Rmd" -exec chmod -x \{\} \;
	find debian -iname "CITATION" -exec chmod -x \{\} \;
	find debian -iname "COPYRIGHT" -exec chmod -x \{\} \;

## r-cran-vioplot 0.3.5

=== DESCRIPTION ===
Package: vioplot
Title: Violin Plot
Version: 0.3.5
Date: 2020-06-15
Authors@R: c(person("Daniel", "Adler", email = "dadler@uni-goettingen.de", role = c("aut", "cph")),
           person("S. Thomas", "Kelly", email = "tom.kelly@riken.jp", role = c("aut", "cre")),
           person("Tom M.", "Elliott", email = "tom.elliott@auckland.ac.nz", role = c("ctb")))
Description: A violin plot is a combination of a box plot and a kernel density plot. This package allows extensive customisation of violin plots. 
Depends: sm, zoo
License: BSD_3_clause + file LICENSE
URL: https://github.com/TomKellyGenetics/vioplot
BugReports: https://github.com/TomKellyGenetics/vioplot/issues
LazyData: true
RoxygenNote: 7.1.0.9000
Suggests: base, ggplot2, RColorBrewer, knitr, rmarkdown, testthat
Language: en-GB
VignetteBuilder: knitr
Encoding: UTF-8
NeedsCompilation: no
Packaged: 2020-06-15 10:28:55 UTC; tom
Author: Daniel Adler [aut, cph],
  S. Thomas Kelly [aut, cre],
  Tom M. Elliott [ctb]
Maintainer: S. Thomas Kelly <tom.kelly@riken.jp>
Repository: CRAN
Date/Publication: 2020-06-15 12:10:02 UTC

=== debian/changelog ===
r-cran-vioplot (0.3.5-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * debhelper-compat 13 (routine-update)

 -- Dylan Aïssi <daissi@debian.org>  Tue, 21 Jul 2020 09:50:49 +0200

r-cran-vioplot (0.3.4-2) unstable; urgency=medium

  * Standards-Version: 4.5.0 (routine-update)
  * Rules-Requires-Root: no (routine-update)

 -- Andreas Tille <tille@debian.org>  Sun, 17 May 2020 09:40:24 +0200

=== debian/control ===
--- 
+++ 
@@ -5,15 +5,16 @@
 Section: gnu-r
 Testsuite: autopkgtest-pkg-r
 Priority: optional
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
                dh-r,
                r-base-dev,
                r-cran-sm,
                r-cran-zoo
-Standards-Version: 4.4.1
+Standards-Version: 4.5.0
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-vioplot
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-vioplot.git
 Homepage: https://cran.r-project.org/package=vioplot
+Rules-Requires-Root: no
 
 Package: r-cran-vioplot
 Architecture: all

## r-cran-vioplot 0.3.7

=== DESCRIPTION ===
Package: vioplot
Title: Violin Plot
Version: 0.3.7
Date: 2021-07-27
Authors@R: c(person("Daniel", "Adler", email = "dadler@uni-goettingen.de", role = c("aut", "cph")),
           person("S. Thomas", "Kelly", email = "tomkellygenetics@gmail.com", role = c("aut", "cre")),
           person("Tom M.", "Elliott", email = "tom.elliott@auckland.ac.nz", role = c("ctb")))
Description: A violin plot is a combination of a box plot and a kernel density plot. This package allows extensive customisation of violin plots. 
Depends: sm, zoo
License: BSD_3_clause + file LICENSE
URL: https://github.com/TomKellyGenetics/vioplot
BugReports: https://github.com/TomKellyGenetics/vioplot/issues
RoxygenNote: 7.1.1
Suggests: base, ggplot2, RColorBrewer, knitr, rmarkdown, testthat
Language: en-GB
VignetteBuilder: knitr
Encoding: UTF-8
NeedsCompilation: no
Packaged: 2021-07-27 06:09:33 UTC; tom
Author: Daniel Adler [aut, cph],
  S. Thomas Kelly [aut, cre],
  Tom M. Elliott [ctb]
Maintainer: S. Thomas Kelly <tomkellygenetics@gmail.com>
Repository: CRAN
Date/Publication: 2021-07-27 08:30:02 UTC

=== debian/changelog ===
r-cran-vioplot (0.3.7-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.5.1 (routine-update)
  * watch file standard 4 (routine-update)

 -- Andreas Tille <tille@debian.org>  Sun, 15 Aug 2021 13:18:08 +0200

=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
                r-base-dev,
                r-cran-sm,
                r-cran-zoo
-Standards-Version: 4.5.0
+Standards-Version: 4.5.1
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-vioplot
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-vioplot.git
 Homepage: https://cran.r-project.org/package=vioplot

=== debian/watch ===
version=4
https://cran.r-project.org/src/contrib/vioplot_([-0-9\.]*)\.tar\.gz

## r-cran-vioplot 0.4.0

=== DESCRIPTION ===
Package: vioplot
Title: Violin Plot
Version: 0.4.0
Date: 2022-12-08
Authors@R: c(person("Daniel", "Adler", email = "dadler@uni-goettingen.de", role = c("aut", "cph")),
           person("S. Thomas", "Kelly", email = "tomkellygenetics@gmail.com", role = c("aut", "cre")),
           person("Tom M.", "Elliott", email = "tom.elliott@auckland.ac.nz", role = c("aut", "ctb")),
           person("Jordan", "Adamson", email = "adamson@wifa.uni-leipzig.de", role = c("aut", "ctb")))
Description: A violin plot is a combination of a box plot and a kernel density plot. This package allows extensive customisation of violin plots. 
Depends: sm, zoo
License: BSD_3_clause + file LICENSE
URL: https://github.com/TomKellyGenetics/vioplot
BugReports: https://github.com/TomKellyGenetics/vioplot/issues
RoxygenNote: 7.1.2
Suggests: base, ggplot2, RColorBrewer, knitr, rmarkdown, testthat
Language: en-GB
VignetteBuilder: knitr
Encoding: UTF-8
NeedsCompilation: no
Packaged: 2022-12-09 01:26:08 UTC; tom
Author: Daniel Adler [aut, cph],
  S. Thomas Kelly [aut, cre],
  Tom M. Elliott [aut, ctb],
  Jordan Adamson [aut, ctb]
Maintainer: S. Thomas Kelly <tomkellygenetics@gmail.com>
Repository: CRAN
Date/Publication: 2022-12-09 17:50:02 UTC

=== debian/changelog ===
r-cran-vioplot (0.4.0-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.6.2 (routine-update)
  * Reorder sequence of d/control fields by cme (routine-update)
  * lintian-overrides (see lintian bug #1017966)

 -- Andreas Tille <tille@debian.org>  Tue, 20 Dec 2022 17:29:43 +0100

=== debian/control ===
--- 
+++ 
@@ -1,20 +1,20 @@
 Source: r-cran-vioplot
+Section: gnu-r
+Priority: optional
 Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
 Uploaders: Steffen Moeller <moeller@debian.org>,
            Andreas Tille <tille@debian.org>
-Section: gnu-r
-Testsuite: autopkgtest-pkg-r
-Priority: optional
+Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-vioplot
+Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-vioplot.git
+Homepage: https://cran.r-project.org/package=vioplot
+Standards-Version: 4.6.2
+Rules-Requires-Root: no
 Build-Depends: debhelper-compat (= 13),
                dh-r,
                r-base-dev,
                r-cran-sm,
                r-cran-zoo
-Standards-Version: 4.5.1
-Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-vioplot
-Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-vioplot.git
-Homepage: https://cran.r-project.org/package=vioplot
-Rules-Requires-Root: no
+Testsuite: autopkgtest-pkg-r
 
 Package: r-cran-vioplot
 Architecture: all

## r-cran-vioplot 0.5.0

=== debian/changelog ===
r-cran-vioplot (0.5.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.7.0 (routine-update)

 -- Charles Plessy <plessy@debian.org>  Tue, 06 Aug 2024 07:41:29 +0900

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-vioplot
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-vioplot.git
 Homepage: https://cran.r-project.org/package=vioplot
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Rules-Requires-Root: no
 Build-Depends: debhelper-compat (= 13),
                dh-r,

## r-cran-vioplot 0.5.1

=== DESCRIPTION ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Package: vioplot
 Title: Violin Plot
-Version: 0.4.0
-Date: 2022-12-08
+Version: 0.5.1
+Date: 2025-02-24
 Authors@R: c(person("Daniel", "Adler", email = "dadler@uni-goettingen.de", role = c("aut", "cph")),
            person("S. Thomas", "Kelly", email = "tomkellygenetics@gmail.com", role = c("aut", "cre")),
            person("Tom M.", "Elliott", email = "tom.elliott@auckland.ac.nz", role = c("aut", "ctb")),
@@ -11,17 +11,17 @@
 License: BSD_3_clause + file LICENSE
 URL: https://github.com/TomKellyGenetics/vioplot
 BugReports: https://github.com/TomKellyGenetics/vioplot/issues
-RoxygenNote: 7.1.2
+RoxygenNote: 7.3.2
 Suggests: base, ggplot2, RColorBrewer, knitr, rmarkdown, testthat
 Language: en-GB
 VignetteBuilder: knitr
 Encoding: UTF-8
 NeedsCompilation: no
-Packaged: 2022-12-09 01:26:08 UTC; tom
+Packaged: 2025-02-23 20:25:10 UTC; kellyt
 Author: Daniel Adler [aut, cph],
   S. Thomas Kelly [aut, cre],
   Tom M. Elliott [aut, ctb],
   Jordan Adamson [aut, ctb]
 Maintainer: S. Thomas Kelly <tomkellygenetics@gmail.com>
 Repository: CRAN
-Date/Publication: 2022-12-09 17:50:02 UTC
+Date/Publication: 2025-02-23 23:40:02 UTC

=== debian/changelog ===
r-cran-vioplot (0.5.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.7.1 (routine-update)

 -- Charles Plessy <plessy@debian.org>  Thu, 27 Feb 2025 08:45:31 +0900

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-vioplot
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-vioplot.git
 Homepage: https://cran.r-project.org/package=vioplot
-Standards-Version: 4.7.0
+Standards-Version: 4.7.1
 Rules-Requires-Root: no
 Build-Depends: debhelper-compat (= 13),
                dh-r,

=== debian/tests/control ===
Tests: run-unit-test
Depends: @,
         r-cran-ggplot2,
        r-cran-rcolorbrewer,
        r-cran-knitr,
        r-cran-rmarkdown,
        r-cran-testthat
Restrictions: allow-stderr
